Bug 1022951 - Intermittent failure in AsyncStoreTest
Intermittent failure in AsyncStoreTest
Status: CLOSED NOTABUG
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: EAP 6.4.0
Assigned To: Paul Ferraro
Jitka Kozana
Russell Dickenson
Infinispan testsuite
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 06:44 EDT by Richard Janík
Modified: 2014-10-25 08:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-29 10:31:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Janík 2013-10-24 06:44:36 EDT
Description of problem:

EAP 6.2.0.ER6
Infinispan 5.2.7.Final

There is an occasional failure in org.infinispan.loaders.decorators.AsyncStoreTest.testPutClearPut. I've only seen it once on RHEL with oracle jdk 7.

Error Message

testPutClearPut-k-176 still in store

Stacktrace

java.lang.AssertionError: testPutClearPut-k-176 still in store
	at org.infinispan.loaders.decorators.AsyncStoreTest.doTestRemove(AsyncStoreTest.java:424)
	at org.infinispan.loaders.decorators.AsyncStoreTest.testPutClearPut(AsyncStoreTest.java:112)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:606)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:80)
	at org.testng.internal.InvokeMethodRunnable.runOne(InvokeMethodRunnable.java:46)
	at org.testng.internal.InvokeMethodRunnable.run(InvokeMethodRunnable.java:37)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)
	at java.util.concurrent.FutureTask.run(FutureTask.java:262)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
	at java.lang.Thread.run(Thread.java:724)


https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-6x-infinispan-rhel-matrix/47/jdk=java17_default,label=RHEL6_x86/testReport/org.infinispan.loaders.decorators/AsyncStoreTest/testPutClearPut/
Comment 1 Richard Janík 2013-10-24 07:02:22 EDT
Might be related to https://bugzilla.redhat.com/show_bug.cgi?id=879569 .
Comment 3 Paul Ferraro 2014-08-29 10:31:04 EDT
Already fixed by ISPN-2547.

Note You need to log in before you can comment on or make changes to this bug.